Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 808258 - dev-db/sqlite-3.37.0: version bump
Summary: dev-db/sqlite-3.37.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis
URL: https://sqlite.org/releaselog/3_37_0....
Whiteboard:
Keywords:
Depends on: 825278
Blocks: 824066
  Show dependency tree
 
Reported: 2021-08-15 02:26 UTC by Perfect Gentleman
Modified: 2021-12-12 23:42 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Perfect Gentleman 2021-08-15 02:26:12 UTC
SQLite Release 3.36.0 On 2021-06-18. https://sqlite.org/releaselog/3_36_0.html

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2021-11-04 19:49:58 UTC
Ping. Any news when we can expect that version in portage?
Comment 2 onkobu 2021-11-28 20:10:24 UTC
There's also 3.37.0 out. In addition I found Bug#825278 and Bug#825310. Does this block somehow?
Comment 3 Sam James archtester gentoo-dev Security 2021-12-12 21:50:41 UTC
Ping. I may just have to do a bump that's vanilla (sans patches) at this rate.
Comment 4 Larry the Git Cow gentoo-dev 2021-12-12 23:42:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5a120b8002f52ea6ee0a4444a0d34d6c16391e8

commit f5a120b8002f52ea6ee0a4444a0d34d6c16391e8
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-12 23:42:18 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-12 23:42:46 +0000

    dev-db/sqlite: [QA] add 3.37.0
    
    Without patches for the timebeing, possibly indefinitely.
    
    Closes: https://bugs.gentoo.org/808258
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-db/sqlite/Manifest                             |   2 +
 .../sqlite-3.37.0-configure-amalgamation.patch     |  40 ++
 dev-db/sqlite/sqlite-3.37.0.ebuild                 | 428 +++++++++++++++++++++
 3 files changed, 470 insertions(+)